Bug 130127 - KMail segfaults on some PGP signed messages
Summary: KMail segfaults on some PGP signed messages
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-17 11:56 UTC by Markku Kolkka
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.5.6-0.2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-22 08:36:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mail message from fedora-list that always crahes KMail (6.30 KB, text/plain)
2004-08-17 11:58 UTC, Markku Kolkka
no flags Details
KCrash trace created by opening the message in previous attachment (2.98 KB, text/plain)
2004-08-17 11:59 UTC, Markku Kolkka
no flags Details

Description Markku Kolkka 2004-08-17 11:56:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Trying to open some signed messages from fedora-list and
fedora-test-list causes KMail to crash with signal 11. The problem
messages are in PGP clear-signed format, messages that are MIME
multipart/signed are OK.

Version-Release number of selected component (if applicable):
kdepim-3.3.0-0.1.rc2

How reproducible:
Always

Steps to Reproduce:
1. kmail
2. open a PGP clear-signed message
3.
    

Actual Results:  *** KMail got signal 11 (Crashing)
KCrash: Application 'kmail' crashing...


Expected Results:  Message displayed with signature check results.

Additional info:

I'm sending a sample message and KCrash trace as attachments.

Comment 1 Markku Kolkka 2004-08-17 11:58:10 UTC
Created attachment 102785 [details]
Mail message from fedora-list that always crahes KMail

Comment 2 Markku Kolkka 2004-08-17 11:59:06 UTC
Created attachment 102786 [details]
KCrash trace created by opening the message in previous attachment

Comment 3 Ngo Than 2004-08-17 15:23:23 UTC
i have updated to current rawhide today. kmail works fine here.

could you please update the current rawhide and try again.

Comment 4 Markku Kolkka 2004-08-17 19:43:58 UTC
I have updated everything to the latest development packages,
kdepim-3.3.0-0.1.rc2 is the latest version.

In more testing I noticed that the crash happens only when the message
is signed with an unknown key, if the key is in GPG keyring it's
displayed correctly.

Comment 5 Red Hat Bugzilla 2007-02-05 19:16:56 UTC
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.


Note You need to log in before you can comment on or make changes to this bug.